package _VisualDVM.Passes.All;
import Common.Passes.Pass;
import Common.Utils.Utils_;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.ProjectData.Project.db_project_info;
public class CloseProject extends Pass<db_project_info> {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return (target = Global.mainModule.getProject()) != null;
    }
    @Override
    protected void body() throws Exception {
        target.Close();
    }
    @Override
    protected void performDone() throws Exception {
        Global.mainModule.getSapfor().ResetAllAnalyses();
        Global.mainModule.getSapfor().cd(Utils_.getHomeDirectory());
        Global.mainModule.set(Current.Project, null);
        //-
    }
}